Package: org.codehaus.groovy.ast.stmt

## [Java] Class AssertStatement

- org.codehaus.groovy.ast.stmt.AssertStatement

- Represents an assert statement. E.g.: `assert i != 0 : "should never be zero";`

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AssertStatement (BooleanExpression booleanExpression)`
    `AssertStatement (BooleanExpression booleanExpression, Expression messageExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BooleanExpression` | `getBooleanExpression()`
    `` | `Expression` | `getMessageExpression()`
    `` | `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `void` | `setMessageExpression(Expression messageExpression)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public AssertStatement(BooleanExpression booleanExpression)

    - #### public AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Expression getMessageExpression()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setMessageExpression(Expression messageExpression)

    - #### public void visit(GroovyCodeVisitor visitor)